### Method

# Gegl Node set_property

#### Declaration [src]

    void
    gegl_node_set_property (
      GeglNode* node,
      const gchar* property_name,
      const GValue* value
    )

#### Description [src]

This is mainly included for language bindings. Using #gegl_node_set is more convenient when programming in C.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  A GValue containing the value to be set in the property.

  The data is owned by the caller of the method.